
-- the code above is used if the debug mode is activated.

cgilua.env_vars = {
  'SERVER_SOFTWARE',
  'SERVER_NAME',
  'GATEWAY_INTERFACE',
  'SERVER_PROTOCOL',
  'SERVER_PORT',
  'REQUEST_METHOD',
  'PATH_INFO',
  'PATH_TRANSLATED',
  'SCRIPT_NAME',
  'QUERY_STRING',
  'REMOTE_HOST',
  'REMOTE_ADDR',
  'AUTH_TYPE',
  'REMOTE_USER',
  'REMOTE_IDENT',
  'CONTENT_TYPE',
  'CONTENT_LENGTH',
}


function cgilua.debug()
  local core = getenv( 'CGILUA_CORE' )
  
  if core == 'off' then 
    local loadlib = getrestricted( cgilua.debug_loadlibrary )
    if not loadlib( cgilua.directory .. 'ldb.dll', 'ldblib_open' ) and
       not loadlib( 'libldb.so', 'ldblib_open' ) then
      error( "Could not open the lua debbuger library, "..
             "file libldb.so not found."  )
    end
    return 
  end

  if writeto('cgilua_core') then
    local value
    local index, name = next( cgilua.env_vars, nil )
    while index do
      value = getenv( name )
      if value then
        write( 'putenv( "'..name..'='..value..'" )\n' ) 
      else
        write( 'putenv( "'..name..'= " )\n' ) 
      end
      index, name = next( cgilua.env_vars, index )
    end
    write('\n')

    if cgilua.stdin then
      write( 'post_info  = "'..cgilua.stdin..'"\n' )
    end
  end

  writeto()
end

cgilua.debug_loadlibrary = restrict( loadlibrary, cgilua.debug )

