-- the following four variables are used by the function
-- <cgilua.getluafile> and controls how the 
-- environment variable PATH_INFO is mapped to the
-- physical path of the lua script to be executed.
-- (note: it's only necessary to set them if cgilua is referenced directly
-- in the url, using PATH_INFO to specify the lua script.)
-- the variable <cgilua.users> is a table mapping
-- from users to physical directories.
-- if PATH_INFO is in the format ~user/path
-- and there's an entry in the table <cgilua.users>
-- for the user specified in PATH_INFO,
-- the physical path will be PATH_INFO with <cgilua.users[user]>
-- in place of ~user.
-- if there's no map, the physical path will be the environment 
-- variable PATH_TRANSLATED with <cgilua.lua_directory>
-- in place of <cgilua.html_directory>.
-- note: some httpd servers do not set the environment
-- variable PATH_TRANSLATED. in this case, there must be an entry
-- in the table <cgilua.users> for each user to be used in PATH_INFO.
-- if PATH_INFO is not in the format ~user/path, the physical path will be 
-- <cgilua.root_directory> concatenated with PATH_INFO.
-- the lua script is executed with the permissions of
-- the owner of the script (unix only).
-- the current directory is changed to the directory
-- containing the script.

cgilua.root_directory = "c:/users/anonymous/www"
--cgilua.lua_directory  = "/public_html/"
--cgilua.html_directory = "/public_html/"

cgilua.users = {
--   anna    = "\\\\segall\\users\\anna\\cgilua\\scripts" ,
--   rborges = "\\\\segall\\users\\rborges\\cgilua\\scripts" ,
}

-- if the preprocess facility is turned on (see extensions above)
-- this variable must contain the pattern matching expression for filename 
-- filtering. The default is to process the filenames with extensions
-- '.html' or '.htm'.

cgilua.filename_filter = ".*%.html?$"


-- the decoded form data are put in the table <cgi>.
-- for each form element the function <insertfield> 
-- is called with the pair <name>,<value>
-- this version of insertfield does not work correctly
-- with a multiple list -- the selections overrides one another

cgi = {}

function cgilua.insertfield( name, value )
  if not cgi[name] then
    cgi[name] = value
  else
    cgi[name] = cgi[name]..','..value
  end
end


